Index: /autom4te.cache/traces.0
===================================================================
--- /autom4te.cache/traces.0	(revision 2)
+++ /autom4te.cache/traces.0	(revision 3)
@@ -6697,109 +6946,97 @@
 m4trace:configure.in:3: -1- m4_pattern_forbid([^dnl$])
 m4trace:configure.in:3: -1- m4_pattern_forbid([^_?AS_])
-m4trace:configure.in:3: -1- AC_SUBST([SHELL], [${CONFIG_SHELL-/bin/sh}])
-m4trace:configure.in:3: -1- AC_SUBST([PATH_SEPARATOR])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_NAME], [m4_ifdef([AC_PACKAGE_NAME],      ['AC_PACKAGE_NAME'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_TARNAME], [m4_ifdef([AC_PACKAGE_TARNAME],   ['AC_PACKAGE_TARNAME'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_VERSION], [m4_ifdef([AC_PACKAGE_VERSION],   ['AC_PACKAGE_VERSION'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_STRING], [m4_ifdef([AC_PACKAGE_STRING],    ['AC_PACKAGE_STRING'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_BUGREPORT], [m4_ifdef([AC_PACKAGE_BUGREPORT], ['AC_PACKAGE_BUGREPORT'])])
-m4trace:configure.in:3: -1- AC_SUBST([exec_prefix], [NONE])
-m4trace:configure.in:3: -1- AC_SUBST([prefix], [NONE])
-m4trace:configure.in:3: -1- AC_SUBST([program_transform_name], [s,x,x,])
-m4trace:configure.in:3: -1- AC_SUBST([bindir], ['${exec_prefix}/bin'])
-m4trace:configure.in:3: -1- AC_SUBST([sbindir], ['${exec_prefix}/sbin'])
-m4trace:configure.in:3: -1- AC_SUBST([libexecdir], ['${exec_prefix}/libexec'])
-m4trace:configure.in:3: -1- AC_SUBST([datadir], ['${prefix}/share'])
-m4trace:configure.in:3: -1- AC_SUBST([sysconfdir], ['${prefix}/etc'])
-m4trace:configure.in:3: -1- AC_SUBST([sharedstatedir], ['${prefix}/com'])
-m4trace:configure.in:3: -1- AC_SUBST([localstatedir], ['${prefix}/var'])
-m4trace:configure.in:3: -1- AC_SUBST([libdir], ['${exec_prefix}/lib'])
-m4trace:configure.in:3: -1- AC_SUBST([includedir], ['${prefix}/include'])
-m4trace:configure.in:3: -1- AC_SUBST([oldincludedir], ['/usr/include'])
-m4trace:configure.in:3: -1- AC_SUBST([infodir], ['${prefix}/info'])
-m4trace:configure.in:3: -1- AC_SUBST([mandir], ['${prefix}/man'])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_NAME])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_NAME], [/* Define to the full name of this package. */
-#undef PACKAGE_NAME])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_TARNAME])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_TARNAME], [/* Define to the one symbol short name of this package. */
-#undef PACKAGE_TARNAME])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_VERSION])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_VERSION], [/* Define to the version of this package. */
-#undef PACKAGE_VERSION])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_STRING])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_STRING], [/* Define to the full name and version of this package. */
-#undef PACKAGE_STRING])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_BUGREPORT])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_BUGREPORT], [/* Define to the address where bug reports for this package should be sent. */
-#undef PACKAGE_BUGREPORT])
-m4trace:configure.in:3: -1- AC_SUBST([build_alias])
-m4trace:configure.in:3: -1- AC_SUBST([host_alias])
-m4trace:configure.in:3: -1- AC_SUBST([target_alias])
-m4trace:configure.in:3: -1- AC_SUBST([DEFS])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_C])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_N])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_T])
-m4trace:configure.in:3: -1- AC_SUBST([LIBS])
-m4trace:configure.in:5: -1- AC_CANONICAL_HOST
-m4trace:configure.in:5: -1- AC_SUBST([build], [$ac_cv_build])
-m4trace:configure.in:5: -1- AC_SUBST([build_cpu], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
-m4trace:configure.in:5: -1- AC_SUBST([build_vendor], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
-m4trace:configure.in:5: -1- AC_SUBST([build_os], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
-m4trace:configure.in:5: -1- AC_SUBST([host], [$ac_cv_host])
-m4trace:configure.in:5: -1- AC_SUBST([host_cpu], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
-m4trace:configure.in:5: -1- AC_SUBST([host_vendor], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
-m4trace:configure.in:5: -1- AC_SUBST([host_os], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
-m4trace:configure.in:5: -1- AC_SUBST([target], [$ac_cv_target])
-m4trace:configure.in:5: -1- AC_SUBST([target_cpu], [`echo $ac_cv_target | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
-m4trace:configure.in:5: -1- AC_SUBST([target_vendor], [`echo $ac_cv_target | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
-m4trace:configure.in:5: -1- AC_SUBST([target_os], [`echo $ac_cv_target | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
+m4trace:configure.in:3: -1- m4_pattern_allow([^SHELL$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PATH_SEPARATOR$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_NAME$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_VERSION$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_STRING$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^exec_prefix$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^prefix$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^program_transform_name$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^bindir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^sbindir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^libexecdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^datarootdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^datadir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^sysconfdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^sharedstatedir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^localstatedir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^includedir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^oldincludedir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^docdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^infodir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^htmldir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^dvidir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^pdfdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^psdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^libdir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^localedir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^mandir$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_NAME$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_VERSION$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_STRING$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^DEFS$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^ECHO_C$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^ECHO_N$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^ECHO_T$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^build_alias$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^host_alias$])
+m4trace:configure.in:3: -1- m4_pattern_allow([^target_alias$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^build$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^build_cpu$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^build_vendor$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^build_os$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^host$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^host_cpu$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^host_vendor$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^host_os$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^target$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^target_cpu$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^target_vendor$])
+m4trace:configure.in:5: -1- m4_pattern_allow([^target_os$])
 m4trace:configure.in:9: -1- AM_INIT_AUTOMAKE([OGRE], [1.4.5])
 m4trace:configure.in:9: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$])
 m4trace:configure.in:9: -1- AM_SET_CURRENT_AUTOMAKE_VERSION
-m4trace:configure.in:9: -1- AM_AUTOMAKE_VERSION([1.9.5])
-m4trace:configure.in:9: -1- AC_PROG_INSTALL
-m4trace:configure.in:9: -1- AC_SUBST([INSTALL_PROGRAM])
-m4trace:configure.in:9: -1- AC_SUBST([INSTALL_SCRIPT])
-m4trace:configure.in:9: -1- AC_SUBST([INSTALL_DATA])
-m4trace:configure.in:9: -1- AC_SUBST([CYGPATH_W])
-m4trace:configure.in:9: -1- AC_SUBST([PACKAGE], [OGRE])
-m4trace:configure.in:9: -1- AC_SUBST([VERSION], [1.4.5])
+m4trace:configure.in:9: -1- AM_AUTOMAKE_VERSION([1.9.6])
+m4trace:configure.in:9: -1- m4_pattern_allow([^INSTALL_PROGRAM$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^INSTALL_SCRIPT$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^INSTALL_DATA$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^CYGPATH_W$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^PACKAGE$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^VERSION$])
 m4trace:configure.in:9: -1- _AM_IF_OPTION([no-define], [], [AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
  AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package])])
 m4trace:configure.in:9: -2- _AM_MANGLE_OPTION([no-define])
-m4trace:configure.in:9: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE])
-m4trace:configure.in:9: -1- AH_OUTPUT([PACKAGE], [/* Name of package */
-#undef PACKAGE])
-m4trace:configure.in:9: -1- AC_DEFINE_TRACE_LITERAL([VERSION])
-m4trace:configure.in:9: -1- AH_OUTPUT([VERSION], [/* Version number of package */
-#undef VERSION])
+m4trace:configure.in:9: -1- m4_pattern_allow([^PACKAGE$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^VERSION$])
 m4trace:configure.in:9: -1- AM_SANITY_CHECK
 m4trace:configure.in:9: -1- AM_MISSING_PROG([ACLOCAL], [aclocal-${am__api_version}])
 m4trace:configure.in:9: -1- AM_MISSING_HAS_RUN
 m4trace:configure.in:9: -1- AM_AUX_DIR_EXPAND
-m4trace:configure.in:9: -1- AC_SUBST([ACLOCAL])
+m4trace:configure.in:9: -1- m4_pattern_allow([^ACLOCAL$])
 m4trace:configure.in:9: -1- AM_MISSING_PROG([AUTOCONF], [autoconf])
-m4trace:configure.in:9: -1- AC_SUBST([AUTOCONF])
+m4trace:configure.in:9: -1- m4_pattern_allow([^AUTOCONF$])
 m4trace:configure.in:9: -1- AM_MISSING_PROG([AUTOMAKE], [automake-${am__api_version}])
-m4trace:configure.in:9: -1- AC_SUBST([AUTOMAKE])
+m4trace:configure.in:9: -1- m4_pattern_allow([^AUTOMAKE$])
 m4trace:configure.in:9: -1- AM_MISSING_PROG([AUTOHEADER], [autoheader])
-m4trace:configure.in:9: -1- AC_SUBST([AUTOHEADER])
+m4trace:configure.in:9: -1- m4_pattern_allow([^AUTOHEADER$])
 m4trace:configure.in:9: -1- AM_MISSING_PROG([MAKEINFO], [makeinfo])
-m4trace:configure.in:9: -1- AC_SUBST([MAKEINFO])
+m4trace:configure.in:9: -1- m4_pattern_allow([^MAKEINFO$])
 m4trace:configure.in:9: -1- AM_PROG_INSTALL_SH
-m4trace:configure.in:9: -1- AC_SUBST([install_sh])
+m4trace:configure.in:9: -1- m4_pattern_allow([^install_sh$])
 m4trace:configure.in:9: -1- AM_PROG_INSTALL_STRIP
-m4trace:configure.in:9: -1- AC_SUBST([STRIP])
-m4trace:configure.in:9: -1- AC_SUBST([ac_ct_STRIP])
-m4trace:configure.in:9: -1- AC_SUBST([INSTALL_STRIP_PROGRAM])
+m4trace:configure.in:9: -1- m4_pattern_allow([^STRIP$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^INSTALL_STRIP_PROGRAM$])
 m4trace:configure.in:9: -1- AM_PROG_MKDIR_P
-m4trace:configure.in:9: -1- AC_SUBST([mkdir_p])
-m4trace:configure.in:9: -1- AC_PROG_AWK
-m4trace:configure.in:9: -1- AC_SUBST([AWK])
-m4trace:configure.in:9: -1- AC_PROG_MAKE_SET
-m4trace:configure.in:9: -1- AC_SUBST([SET_MAKE])
+m4trace:configure.in:9: -1- m4_pattern_allow([^mkdir_p$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^AWK$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^SET_MAKE$])
 m4trace:configure.in:9: -1- AM_SET_LEADING_DOT
-m4trace:configure.in:9: -1- AC_SUBST([am__leading_dot])
+m4trace:configure.in:9: -1- m4_pattern_allow([^am__leading_dot$])
 m4trace:configure.in:9: -1- _AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])], [_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])],
 	      		     [_AM_PROG_TAR([v7])])])
@@ -6809,7 +7046,7 @@
 m4trace:configure.in:9: -1- _AM_PROG_TAR([v7])
 m4trace:configure.in:9: -1- AM_MISSING_PROG([AMTAR], [tar])
-m4trace:configure.in:9: -1- AC_SUBST([AMTAR])
-m4trace:configure.in:9: -1- AC_SUBST([am__tar])
-m4trace:configure.in:9: -1- AC_SUBST([am__untar])
+m4trace:configure.in:9: -1- m4_pattern_allow([^AMTAR$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^am__tar$])
+m4trace:configure.in:9: -1- m4_pattern_allow([^am__untar$])
 m4trace:configure.in:9: -1- _AM_IF_OPTION([no-dependencies], [], [AC_PROVIDE_IFELSE([AC_PROG_CC],
                   [_AM_DEPENDENCIES(CC)],
@@ -6822,100 +7059,88 @@
 ])
 m4trace:configure.in:9: -2- _AM_MANGLE_OPTION([no-dependencies])
-m4trace:configure.in:10: -1- AC_CONFIG_HEADERS([OgreMain/include/config.h])
-m4trace:configure.in:13: -1- AC_PROG_CC
-m4trace:configure.in:13: -1- AC_SUBST([CC])
-m4trace:configure.in:13: -1- AC_SUBST([CFLAGS])
-m4trace:configure.in:13: -1- AC_SUBST([LDFLAGS])
-m4trace:configure.in:13: -1- AC_SUBST([CPPFLAGS])
-m4trace:configure.in:13: -1- AC_SUBST([CC])
-m4trace:configure.in:13: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:13: -1- AC_SUBST([CC])
-m4trace:configure.in:13: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:13: -1- AC_SUBST([CC])
-m4trace:configure.in:13: -1- AC_SUBST([CC])
-m4trace:configure.in:13: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:13: -1- AC_SUBST([EXEEXT], [$ac_cv_exeext])
-m4trace:configure.in:13: -1- AC_SUBST([OBJEXT], [$ac_cv_objext])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CFLAGS$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^LDFLAGS$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^ac_ct_CC$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^EXEEXT$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^OBJEXT$])
 m4trace:configure.in:13: -1- _AM_DEPENDENCIES([CC])
 m4trace:configure.in:13: -1- AM_SET_DEPDIR
-m4trace:configure.in:13: -1- AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])
+m4trace:configure.in:13: -1- m4_pattern_allow([^DEPDIR$])
 m4trace:configure.in:13: -1- AM_OUTPUT_DEPENDENCY_COMMANDS
 m4trace:configure.in:13: -1- AM_MAKE_INCLUDE
-m4trace:configure.in:13: -1- AC_SUBST([am__include])
-m4trace:configure.in:13: -1- AC_SUBST([am__quote])
+m4trace:configure.in:13: -1- m4_pattern_allow([^am__include$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^am__quote$])
 m4trace:configure.in:13: -1- AM_DEP_TRACK
 m4trace:configure.in:13: -1- AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
-m4trace:configure.in:13: -1- AC_SUBST([AMDEP_TRUE])
-m4trace:configure.in:13: -1- AC_SUBST([AMDEP_FALSE])
-m4trace:configure.in:13: -1- AC_SUBST([AMDEPBACKSLASH])
-m4trace:configure.in:13: -1- AC_SUBST([CCDEPMODE], [depmode=$am_cv_CC_dependencies_compiler_type])
+m4trace:configure.in:13: -1- m4_pattern_allow([^AMDEP_TRUE$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^AMDEP_FALSE$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^AMDEPBACKSLASH$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^CCDEPMODE$])
 m4trace:configure.in:13: -1- AM_CONDITIONAL([am__fastdepCC], [
   test "x$enable_dependency_tracking" != xno \
   && test "$am_cv_CC_dependencies_compiler_type" = gcc3])
-m4trace:configure.in:13: -1- AC_SUBST([am__fastdepCC_TRUE])
-m4trace:configure.in:13: -1- AC_SUBST([am__fastdepCC_FALSE])
-m4trace:configure.in:14: -1- AC_PROG_CXX
-m4trace:configure.in:14: -1- AC_SUBST([CXX])
-m4trace:configure.in:14: -1- AC_SUBST([CXXFLAGS])
-m4trace:configure.in:14: -1- AC_SUBST([LDFLAGS])
-m4trace:configure.in:14: -1- AC_SUBST([CPPFLAGS])
-m4trace:configure.in:14: -1- AC_SUBST([CXX])
-m4trace:configure.in:14: -1- AC_SUBST([ac_ct_CXX])
+m4trace:configure.in:13: -1- m4_pattern_allow([^am__fastdepCC_TRUE$])
+m4trace:configure.in:13: -1- m4_pattern_allow([^am__fastdepCC_FALSE$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^CXX$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^CXXFLAGS$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^LDFLAGS$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^CXX$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^ac_ct_CXX$])
 m4trace:configure.in:14: -1- _AM_DEPENDENCIES([CXX])
-m4trace:configure.in:14: -1- AC_SUBST([CXXDEPMODE], [depmode=$am_cv_CXX_dependencies_compiler_type])
+m4trace:configure.in:14: -1- m4_pattern_allow([^CXXDEPMODE$])
 m4trace:configure.in:14: -1- AM_CONDITIONAL([am__fastdepCXX], [
   test "x$enable_dependency_tracking" != xno \
   && test "$am_cv_CXX_dependencies_compiler_type" = gcc3])
-m4trace:configure.in:14: -1- AC_SUBST([am__fastdepCXX_TRUE])
-m4trace:configure.in:14: -1- AC_SUBST([am__fastdepCXX_FALSE])
+m4trace:configure.in:14: -1- m4_pattern_allow([^am__fastdepCXX_TRUE$])
+m4trace:configure.in:14: -1- m4_pattern_allow([^am__fastdepCXX_FALSE$])
 m4trace:configure.in:15: -1- AM_PROG_CC_C_O
-m4trace:configure.in:15: -1- AC_DEFINE_TRACE_LITERAL([NO_MINUS_C_MINUS_O])
-m4trace:configure.in:15: -1- AH_OUTPUT([NO_MINUS_C_MINUS_O], [/* Define to 1 if your C compiler doesn\'t accept -c and -o together. */
-#undef NO_MINUS_C_MINUS_O])
-m4trace:configure.in:16: -1- AC_PROG_INSTALL
-m4trace:configure.in:16: -1- AC_SUBST([INSTALL_PROGRAM])
-m4trace:configure.in:16: -1- AC_SUBST([INSTALL_SCRIPT])
-m4trace:configure.in:16: -1- AC_SUBST([INSTALL_DATA])
-m4trace:configure.in:17: -1- AC_PROG_YACC
-m4trace:configure.in:17: -1- AC_SUBST([YACC])
+m4trace:configure.in:15: -1- m4_pattern_allow([^NO_MINUS_C_MINUS_O$])
+m4trace:configure.in:16: -1- m4_pattern_allow([^INSTALL_PROGRAM$])
+m4trace:configure.in:16: -1- m4_pattern_allow([^INSTALL_SCRIPT$])
+m4trace:configure.in:16: -1- m4_pattern_allow([^INSTALL_DATA$])
+m4trace:configure.in:17: -1- m4_pattern_allow([^YACC$])
+m4trace:configure.in:17: -1- m4_pattern_allow([^YACC$])
+m4trace:configure.in:17: -1- m4_pattern_allow([^YFLAGS$])
 m4trace:configure.in:18: -1- AM_PROG_LEX
-m4trace:configure.in:18: -1- AC_PROG_LEX
-m4trace:configure.in:18: -1- AC_SUBST([LEX])
-m4trace:configure.in:18: -1- AC_CHECK_LIB([fl], [yywrap], [LEXLIB="-lfl"], [AC_CHECK_LIB(l, yywrap, LEXLIB="-ll")])
-m4trace:configure.in:18: -1- AC_CHECK_LIB([l], [yywrap], [LEXLIB="-ll"])
-m4trace:configure.in:18: -1- AC_SUBST([LEXLIB])
-m4trace:configure.in:18: -1- AC_SUBST([LEX_OUTPUT_ROOT], [$ac_cv_prog_lex_root])
-m4trace:configure.in:18: -1- AC_DEFINE_TRACE_LITERAL([YYTEXT_POINTER])
-m4trace:configure.in:18: -1- AH_OUTPUT([YYTEXT_POINTER], [/* Define to 1 if `lex\' declares `yytext\' as a `char *\' by default, not a
-   `char[]\'. */
-#undef YYTEXT_POINTER])
+m4trace:configure.in:18: -1- m4_pattern_allow([^LEX$])
+m4trace:configure.in:18: -1- m4_pattern_allow([^LEX_OUTPUT_ROOT$])
+m4trace:configure.in:18: -1- m4_pattern_allow([^LEXLIB$])
+m4trace:configure.in:18: -1- m4_pattern_allow([^YYTEXT_POINTER$])
 m4trace:configure.in:21: -1- OGRE_SETUP_FOR_TARGET
-m4trace:configure.in:21: -1- AC_SUBST([SHARED_FLAGS], ["-shared -no-undefined -Xlinker --export-all-symbols"])
-m4trace:configure.in:21: -1- AC_SUBST([PLUGIN_FLAGS], ["-shared -no-undefined -avoid-version"])
-m4trace:configure.in:21: -1- AC_SUBST([GL_LIBS], ["-lopengl32 -lglu32"])
-m4trace:configure.in:21: -1- AC_SUBST([RC])
-m4trace:configure.in:21: -1- AC_SUBST([ac_ct_RC])
-m4trace:configure.in:21: -1- AC_SUBST([SHARED_FLAGS], ["-shared"])
-m4trace:configure.in:21: -1- AC_SUBST([PLUGIN_FLAGS], ["-shared -avoid-version"])
-m4trace:configure.in:21: -1- AC_SUBST([GL_LIBS], ["-lGL -lGLU"])
-m4trace:configure.in:21: -1- AC_SUBST([SHARED_FLAGS], ["-shared"])
-m4trace:configure.in:21: -1- AC_SUBST([PLUGIN_FLAGS], ["-shared -avoid-version"])
-m4trace:configure.in:21: -1- AC_SUBST([GL_LIBS], ["-lGL -lGLU"])
+m4trace:configure.in:21: -1- m4_pattern_allow([^SHARED_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^PLUGIN_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^GL_LIBS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^RC$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^SHARED_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^PLUGIN_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^GL_LIBS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^SHARED_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^PLUGIN_FLAGS$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^GL_LIBS$])
 m4trace:configure.in:21: -1- AM_CONDITIONAL([OGRE_NT], [test x$nt = xtrue])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_NT_TRUE])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_NT_FALSE])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_NT_TRUE$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_NT_FALSE$])
 m4trace:configure.in:21: -1- AM_CONDITIONAL([OGRE_LINUX], [test x$linux = xtrue])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_LINUX_TRUE])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_LINUX_FALSE])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_LINUX_TRUE$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_LINUX_FALSE$])
 m4trace:configure.in:21: -1- AM_CONDITIONAL([OGRE_OSX], [test x$osx = xtrue ])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_OSX_TRUE])
-m4trace:configure.in:21: -1- AC_SUBST([OGRE_OSX_FALSE])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_OSX_TRUE$])
+m4trace:configure.in:21: -1- m4_pattern_allow([^OGRE_OSX_FALSE$])
 m4trace:configure.in:23: -1- AC_DISABLE_STATIC
 m4trace:configure.in:23: -1- AC_ENABLE_STATIC([no])
 m4trace:configure.in:23: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1303: AC_ARG_ENABLE is expanded from...
-/usr/share/aclocal/libtool.m4:1822: AC_ENABLE_STATIC is expanded from...
-/usr/share/aclocal/libtool.m4:1831: AC_DISABLE_STATIC is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1373: AC_ARG_ENABLE is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:1890: AC_ENABLE_STATIC is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:1899: AC_DISABLE_STATIC is expanded from...
 configure.in:23: the top level])
 m4trace:configure.in:24: -1- AC_PROG_LIBTOOL
@@ -6924,46 +7149,39 @@
 m4trace:configure.in:24: -1- AC_ENABLE_SHARED
 m4trace:configure.in:24: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1303: AC_ARG_ENABLE is expanded from...
-/usr/share/aclocal/libtool.m4:1783: AC_ENABLE_SHARED is expanded from...
-configure.in:24: AC_ENABLE_SHARED is required by...
-/usr/share/aclocal/libtool.m4:233: AC_LIBTOOL_SETUP is expanded from...
-configure.in:24: AC_LIBTOOL_SETUP is required by...
-/usr/share/aclocal/libtool.m4:91: _AC_PROG_LIBTOOL is expanded from...
-configure.in:24: _AC_PROG_LIBTOOL is required by...
-/usr/share/aclocal/libtool.m4:71: AC_PROG_LIBTOOL is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1373: AC_ARG_ENABLE is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:1851: AC_ENABLE_SHARED is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:219: AC_LIBTOOL_SETUP is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:75: _AC_PROG_LIBTOOL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:55: AC_PROG_LIBTOOL is expanded from...
 configure.in:24: the top level])
 m4trace:configure.in:24: -1- AC_ENABLE_FAST_INSTALL
 m4trace:configure.in:24: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1303: AC_ARG_ENABLE is expanded from...
-/usr/share/aclocal/libtool.m4:1861: AC_ENABLE_FAST_INSTALL is expanded from...
-configure.in:24: AC_ENABLE_FAST_INSTALL is required by...
-/usr/share/aclocal/libtool.m4:233: AC_LIBTOOL_SETUP is expanded from...
-configure.in:24: AC_LIBTOOL_SETUP is required by...
-/usr/share/aclocal/libtool.m4:91: _AC_PROG_LIBTOOL is expanded from...
-configure.in:24: _AC_PROG_LIBTOOL is required by...
-/usr/share/aclocal/libtool.m4:71: AC_PROG_LIBTOOL is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1373: AC_ARG_ENABLE is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:1929: AC_ENABLE_FAST_INSTALL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:219: AC_LIBTOOL_SETUP is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:75: _AC_PROG_LIBTOOL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:55: AC_PROG_LIBTOOL is expanded from...
 configure.in:24: the top level])
 m4trace:configure.in:24: -1- AC_PROG_LD
 m4trace:configure.in:24: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1331: AC_ARG_WITH is expanded from...
-/usr/share/aclocal/libtool.m4:2058: AC_PROG_LD is expanded from...
-configure.in:24: AC_PROG_LD is required by...
-/usr/share/aclocal/libtool.m4:233: AC_LIBTOOL_SETUP is expanded from...
-configure.in:24: AC_LIBTOOL_SETUP is required by...
-/usr/share/aclocal/libtool.m4:91: _AC_PROG_LIBTOOL is expanded from...
-configure.in:24: _AC_PROG_LIBTOOL is required by...
-/usr/share/aclocal/libtool.m4:71: AC_PROG_LIBTOOL is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1391: AC_ARG_WITH is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:2126: AC_PROG_LD is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:219: AC_LIBTOOL_SETUP is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:75: _AC_PROG_LIBTOOL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:55: AC_PROG_LIBTOOL is expanded from...
 configure.in:24: the top level])
 m4trace:configure.in:24: -1- LT_AC_PROG_SED
 m4trace:configure.in:24: -1- AC_PROG_LD_GNU
 m4trace:configure.in:24: -1- AC_PROG_EGREP
-m4trace:configure.in:24: -1- AC_SUBST([EGREP])
+m4trace:configure.in:24: -1- m4_pattern_allow([^GREP$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^GREP$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^EGREP$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^EGREP$])
 m4trace:configure.in:24: -1- AC_PROG_LD_RELOAD_FLAG
 m4trace:configure.in:24: -1- AC_PROG_NM
-m4trace:configure.in:24: -1- AC_PROG_LN_S
-m4trace:configure.in:24: -1- AC_SUBST([LN_S], [$as_ln_s])
+m4trace:configure.in:24: -1- m4_pattern_allow([^LN_S$])
 m4trace:configure.in:24: -1- AC_DEPLIBS_CHECK_METHOD
 m4trace:configure.in:24: -1- AC_LIBTOOL_SYS_MAX_CMD_LEN
@@ -7010,5 +7228,5 @@
 # The HP-UX ksh and POSIX shell print the target directory to stdout
 # if CDPATH is set.
-if test "X${CDPATH+set}" = Xset; then CDPATH=:; export CDPATH; fi
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
 
 if test -z "$ECHO"; then
@@ -7017,6 +7235,6 @@
   for cmd in 'sed 50q "[$]0"' 'sed 20q "[$]0"' 'sed 10q "[$]0"' 'sed 2q "[$]0"' 'echo test'; do
     # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
-    if (echo_test_string="`eval $cmd`") 2>/dev/null &&
-       echo_test_string="`eval $cmd`" &&
+    if (echo_test_string=`eval $cmd`) 2>/dev/null &&
+       echo_test_string=`eval $cmd` &&
        (test "X$echo_test_string" = "X$echo_test_string") 2>/dev/null
     then
@@ -7122,31 +7340,25 @@
 AC_SUBST(ECHO)
 ])
-m4trace:configure.in:24: -1- AC_SUBST([ECHO])
-m4trace:configure.in:24: -1- AC_SUBST([AR])
-m4trace:configure.in:24: -1- AC_SUBST([ac_ct_AR])
-m4trace:configure.in:24: -1- AC_SUBST([RANLIB])
-m4trace:configure.in:24: -1- AC_SUBST([ac_ct_RANLIB])
-m4trace:configure.in:24: -1- AC_SUBST([STRIP])
-m4trace:configure.in:24: -1- AC_SUBST([ac_ct_STRIP])
+m4trace:configure.in:24: -1- m4_pattern_allow([^ECHO$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^AR$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^RANLIB$])
+m4trace:configure.in:24: -1- m4_pattern_allow([^STRIP$])
+m4trace:configure.in:24: -1- _LT_CC_BASENAME([$compiler])
 m4trace:configure.in:24: -1- AC_PATH_MAGIC
 m4trace:configure.in:24: -1- AC_PATH_TOOL_PREFIX([${ac_tool_prefix}file], [/usr/bin$PATH_SEPARATOR$PATH])
 m4trace:configure.in:24: -1- AC_PATH_TOOL_PREFIX([file], [/usr/bin$PATH_SEPARATOR$PATH])
 m4trace:configure.in:24: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1303: AC_ARG_ENABLE is expanded from...
-/usr/share/aclocal/libtool.m4:233: AC_LIBTOOL_SETUP is expanded from...
-configure.in:24: AC_LIBTOOL_SETUP is required by...
-/usr/share/aclocal/libtool.m4:91: _AC_PROG_LIBTOOL is expanded from...
-configure.in:24: _AC_PROG_LIBTOOL is required by...
-/usr/share/aclocal/libtool.m4:71: AC_PROG_LIBTOOL is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1373: AC_ARG_ENABLE is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:219: AC_LIBTOOL_SETUP is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:75: _AC_PROG_LIBTOOL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:55: AC_PROG_LIBTOOL is expanded from...
 configure.in:24: the top level])
 m4trace:configure.in:24: -1- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
-autoconf/general.m4:1331: AC_ARG_WITH is expanded from...
-/usr/share/aclocal/libtool.m4:233: AC_LIBTOOL_SETUP is expanded from...
-configure.in:24: AC_LIBTOOL_SETUP is required by...
-/usr/share/aclocal/libtool.m4:91: _AC_PROG_LIBTOOL is expanded from...
-configure.in:24: _AC_PROG_LIBTOOL is required by...
-/usr/share/aclocal/libtool.m4:71: AC_PROG_LIBTOOL is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
+autoconf/general.m4:1391: AC_ARG_WITH is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:219: AC_LIBTOOL_SETUP is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:75: _AC_PROG_LIBTOOL is expanded from...
+/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4:55: AC_PROG_LIBTOOL is expanded from...
 configure.in:24: the top level])
 m4trace:configure.in:24: -1- AC_LIBTOOL_LANG_C_CONFIG
